# Wikipedia

Wikipedia is a non-commercial, [free/open](free_culture.md) [pseudoleftist](pseudoleft.md) [online](www.md) encyclopedia written mostly by volunteers, running on [free software](free_software.md), allowing almost anyone to edit its content (i.e. being a [wiki](wiki.md)); it is the largest and perhaps most famous encyclopedia created to date. It is licensed under [CC-BY-SA](cc_by_sa.md) and is run by the [nonprofit](nonprofit.md) organization Wikimedia Foundation. It is accessible at https://wikipedia.org.

Wikipedia exists in many (more than 200) versions differing mostly by the language used but also in other aspects; this includes e.g. Simple English Wikipedia or Wikipedia in [Esperanto](esperanto.md). In all versions combined there are over 50 million articles and over 100 million users. English Wikipedia is the largest with over 6 million articles.

There are also many sister projects of Wikipedia such as [Wikimedia Commons](wm_commons.md) that gathers [free as in freedom](free_culture.md) media for use on Wikipedia, [WikiData](wikidata.md), Wikinews or Wikisources.

Information about hardware and software used by Wikimedia Foundation can be found at https://meta.wikimedia.org/wiki/Wikimedia_servers. As of 2022 Wikipedia runs of the traditional [LAMP](lamp.md) framework and its website doesn't require [JavaScript](javascript.md) (amazing!). [Debian](debian.md) [GNU](gnu.md)/[Linux](linux.md) is used on web servers (switched from [Ubunatu](ubuntu.md) in 2019). The foundation uses its own [wiki](wiki.md) engine called [MediaWiki](mediawiki.md) that's written mainly in [PHP](php.md). Database used is [MariaDB](mariadb.md). The servers run on server clusters in 6 different data centers around the world which are rented: 3 in the [US](usa.md), 3 in [Europe](europe.md) and 1 in [Asia](asia.md).

Wikipedia was created by [Jimmy Wales](jimmy_wales.md) and [Larry Sanger](larry_sanger.md) and was launched on 15 January 2001. It was made as a complementary project alongside [Nupedia](nupedia.md), an earlier encyclopedia by Wales and Sanger to which only verified experts could contribute. Wikipedia of course has shown to be a much more successful project.

There exist [forks](fork.md) and alternatives to Wikipedia. Simple English Wikipedia can offer a simpler alternative to sometimes overly complicated articles on the main English Wikipedia. [Citizendium](citizendium.md) is a similar online encyclopedia co-founded by [Larry Sanger](larry_sanger.md), a co-founder of Wikipedia itself, which is however [proprietary](proprietary.md) ([NC](nc.md) license). Citizendium's goal is to improve on some weak point of Wikipedia such as its reliability or quality of writing. [Metapedia](metapedia.md) is a Wikipedia fork that's written from a [rightist](left_right.md) point of view. [Infogalactic](infogalactic) is also a Wikipedia fork that tries to remove the [pseudoleftist](pseudoleft.md) bullshit etc. Encyclopedia Britannica can also be used as a nice resource: its older versions are already [public domain](public_domain.md) and can be found e.g. at [Project Gutenberg](gutenberg.md), and there is also a modern online version of Britannica which is [proprietary](proprietary.md) (and littered with ads) but has pretty good articles even on modern topics (of course facts you find there are in the public domain). Practically for any specialized topic it is nowadays possible to find its own wiki on the Internet.

## Good And Bad Things About Wikipedia

Let's note a few positive and negative points about Wikipedia, as of 2022. Some good things are:

- Despite its flaws Wikipedia is still a **highly free, high quality noncommercial source of knowledge for everyone**, without ads and [bullshit](bs.md). It is tremendously helpful, Wikipedia may e.g. be printed out or saved in an offline version and used in the third world as a completely free educational resource (see [Kiwix](kiwix.md)).
- Wikipedia **helped prove the point of [free culture](free_culture.md)** and showed that collaboration of volunteers can far surpass the best efforts of corporations.
- Wikipedia's **website is pretty nice**, kind of minimalist, lightweight and **works without [Javascript](javascript.md)**.
- Wikipedia is very **friendly to computer analysis**, it provides all its data publicly, in simple and open formats, and doesn't implement any [DRM](drm.md). This allows to make a lot of research, in depth searching, collection of statistics etc.
- Wikipedia **drives the sister projects**, some of which are extremely useful, e.g. Wikimedia Commons, Wikidata or [MediaWiki](mediawiki.md).
- Even if politically biased, **Wikipedia may serve as a basis for [forks](fork.md) that fix the political bias** ([Metapedia](metapedia.md), [InfoGalacti](infogalactic.md), ...).

And the bad things are:

- Wikipedia is **censored and biased**, even though it [proclaims the opposite](https://en.wikipedia.org/wiki/Wikipedia:What_Wikipedia_is_not#Wikipedia_is_not_censored) (which makes it much worse by misleading people). "Offensive" material and material not aligned with [pseudoleftist](pseudoleft.md) propaganda is removed as well as material connected to some controversial resources (e.g the link to 8chan, https://8kun.top, is censored, as well as [Nina Paley](nina_paley.md)'s Jenndra Identitty comics and much more). There is a heavy **[pseudoleft](pseudoleft.md) and [soyence](soyence.md) bias** in the articles.
- Wikipedia includes material under **[fair use](fair_use.md)**, such as screenshots from proprietary games, which makes it partially [proprietary](proprietary.md), i.e. Wikipedia is technically **NOT 100% free**. Material under fair use is still proprietary and can put remixers to legal trouble (e.g. if they put material from Wikipedia to a commercial context), even if the use on Wikipedia itself is legal (remember, proprietary software is legal too).
- Wikipedia often suffers from writing inconsistency, bad structure of text and **poor writing** in general. In a long article you sometimes find repeating paragraphs, sometimes a lot of stress is put on one thing while mentioning more important things only briefly, the level of explanation expertness fluctuates etc. This is because in many articles most people make small contributions without reading the whole article and without having any visions of the whole. And of course there are many contributors without any writing skills.
- Wikipedia is **too popular** which has the negative side effect of becoming a **political battlefield**. This is one of the reasons why there has to be a lot of **bureaucracy**, including things such as **locking of articles** and the inability to edit everything. Even if an article can technically be edited by anyone, there are many times people watching and reverting changes on specific articles. So Wikipedia can't fully proclaim it can be "edited by anyone".
- Wikipedia is **hard to read**. The articles go to great depth and mostly even simple topics are explained with a great deal of highly technical terms so that they can't be well understood by people outside the specific field, even if the topic could be explained simply (Simple English Wikipedia tries to fix this a little bit at least). Editors try to include as much information as possible which too often makes the main point of a topic drown in the blablabla. Wikipedia's style is also very formal and "not [fun](fun.md)" to read, which isn't bad in itself but it just is boring to read. Some alternative encyclopedias such as [Citizendium](citizendium.md) try to offer a more friendly reading style.
- Wikipedia is **not [public domain](public_domain.md)**. It is licensed under [CC-BY-SA](cc_by_sa.md) which is a [free](free_culture.md) license, but has a few burdening conditions. We belive knowledge shouldn't be owned or burdened by any conditions.
- Even though there are no ads, there regularly appears **political propaganda**, main page just **hard pushes [feminist](feminism.md) shit** as featured images and articles, there appear popups for LGBT/feminist activism, and of course all articles are littered with [pseudoleftist](pseudoleft.md) propaganda etc.
- Many articles are bought, there exist companies that offer editing and maintaining certain articles in a way the client desires and of course corporations and politicians take this opportunity -- of course Wikipedia somewhat tries to prevent it but no prevention ever works 100%, so a lot information on Wikipedia is either highly misleading, untrue, censored or downright fabricated.

## Fun And Interesting Pages

There are many interesting and entertaining pages and articles on Wikipedia, some of them are:

- **unusual articles**: https://en.wikipedia.org/wiki/Wikipedia:Unusual_articles
- **don't delete the main page**: https://en.wikipedia.org/wiki/Wikipedia:Don%27t_delete_the_main_page
- **Wikipedia records**: https://en.wikipedia.org/wiki/Wikipedia:Wikipedia_records
- **longest pages**: https://en.wikipedia.org/wiki/Special:LongPages
- **special pages**: https://en.wikipedia.org/wiki/Special:SpecialPages
- **list of lists of lists**: https://en.wikipedia.org/wiki/List_of_lists_of_lists
- **current events**: https://en.wikipedia.org/wiki/Portal:Current_events

## See Also

- [Intellipedia](intellipedia.md)
- [Citizendium](citizendium.md)
- [Infogalactic](infogalactic.md)